Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface Handler

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PredicateNodeOutput, SnapshotElement

All Known Implementing Classes:
  HandlerImpl

    public interface Handler

extends PredicateNodeOutput

A representation of the model object 'Handler'. Event handler.

The following features are supported:

- `Join Node`

See Also:
  `SnapshotPackage.getHandler()`

Method Summary
`JoinNode` | `getJoinNode()` Returns the value of the 'Join Node' reference.
`void` | `setJoinNode(JoinNode value)` Sets the value of the '`Join Node`' reference.

Methods inherited from interface com.hammurapi.eventbus.snapshot.SnapshotElement
`getDetails, getId, getName, getSnapshot, setDetails, setId, setName, setSnapshot`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getJoinNode

    JoinNode getJoinNode()

  Returns the value of the 'Join Node' reference. It is bidirectional and its opposite is '`Handler`'.

  If the meaning of the 'Join Node' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Join Node' reference.
  See Also:
    `setJoinNode(JoinNode)`, `SnapshotPackage.getHandler_JoinNode()`, `JoinNode.getHandler()`

### setJoinNode

    void setJoinNode(JoinNode value)

  Sets the value of the '`Join Node`' reference.

  Parameters:
    `value` - the new value of the 'Join Node' reference.
  See Also:
    `getJoinNode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD